
angular.module('odometer', [])
.controller('OdometerController', function($scope, $window) {
	var unit = null;
	$scope.data = {}
	$window.setUnits = (data) => {unit = data.unitType} // к перменной unit присваеваем значение, которое мы послыем из lua

	$window.updateData = (data) => {
		$scope.$evalAsync(function() {
			let odometerVal = 0;
			if (unit == 'metric') {odometerVal = data.distance * 3.6} else {odometerVal = data.distance * 2.24}; // переводим расстояние в мили или километры
			if (odometerVal.toFixed().length > 6) {odometerVal = Number(String(odometerVal).slice(odometerVal.toFixed().length - 6))} //если пробег болье 999999, то отсчёт начнётся с 000000
			$scope.data.odometerVal = '000000'.slice(odometerVal.toFixed().length) + odometerVal.toFixed() // от '000000' мы отрезам столько 0, чтоб могло влезть число пробега
		})
	}

	beamng.sendActiveObjectLua('controller.getControllerSafe("odometer").uiReady()'); // проверка что js загружен
});

